]> andersk Git - openssh.git/blame - regress/stderr-after-eof.sh
- djm@cvs.openbsd.org 2010/01/30 02:54:53
[openssh.git] / regress / stderr-after-eof.sh
CommitLineData
836d58d7 1# $OpenBSD: stderr-after-eof.sh,v 1.1 2002/03/23 16:38:09 markus Exp $
2# Placed in the Public Domain.
3
4tid="stderr data after eof"
5
6DATA=/etc/motd
7DATA=${OBJ}/data
8COPY=${OBJ}/copy
9
c1b10a96 10if have_prog md5sum; then
9a7cf6f2 11 CHECKSUM=md5sum
c1b10a96 12elif have_prog openssl; then
9a7cf6f2 13 CHECKSUM="openssl md5"
c1b10a96 14elif have_prog cksum; then
9a7cf6f2 15 CHECKSUM=cksum
c1b10a96 16elif have_prog sum; then
9a7cf6f2 17 CHECKSUM=sum
18else
19 fatal "No checksum program available, aborting $tid test"
20fi
836d58d7 21
22# setup data
23rm -f ${DATA} ${COPY}
24cp /dev/null ${DATA}
25for i in 1 2 3 4 5 6; do
9a7cf6f2 26 (date;echo $i) | $CHECKSUM >> ${DATA}
836d58d7 27done
28
29${SSH} -2 -F $OBJ/ssh_proxy otherhost \
30 exec sh -c \'"exec > /dev/null; sleep 2; cat ${DATA} 1>&2 $s"\' \
31 2> ${COPY}
32r=$?
33if [ $r -ne 0 ]; then
34 fail "ssh failed with exit code $r"
35fi
36egrep 'Disconnecting: Received extended_data after EOF' ${COPY} &&
37 fail "ext data received after eof"
38cmp ${DATA} ${COPY} || fail "stderr corrupt"
39
40rm -f ${DATA} ${COPY}
This page took 1.60071 seconds and 5 git commands to generate.